---
schema_version: "1"
id: 72276a76089323a9b29b3449344ea9818cb7460d730a9ab0a21170034697d45c
title: Update Picklist Items
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries/cme/guides/comms-t-update-picklist-items.md
canonical_url: https://developer.salesforce.com/docs/industries/cme/guide/comms-t-update-picklist-items.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 2968caf04cc91b8ef6eb5c2836ec5ea6a0e47c5bfb1283e331096dd9701297ac
products:
  - Communications, Media, Energy and Utilities APIs (Managed Package)
  - Industries Developer Documentation
---
# Update Picklist Items

Update items in a picklist by specifying the ID of the picklist in the URI. You must also specify the ID of the item and the fields that you want to update in the request body.

```nolang
PUT /v2/epc/picklists/{picklist_ID}/items
```

## Remote Method

```nolang
updatePicklistItem
```

## REST Handler

```nolang
APIPicklistItemRestHandler
```

## Apex Remote Service

```nolang
PCAppHandler
```

## Package

Communication (vlocity_cmt)

## API Parameters and Response Format

For API parameter names and descriptions, see the [Swagger (OpenAPI) reference documentation for Industries EPC REST APIs](https://developer.salesforce.com/docs/industries/cme/references/epc?meta=Summary).

## Resource Information

| Response Format | JSON                                                                  |
| --------------- | --------------------------------------------------------------------- |
| Resource URL    | `/services/apexrest/{namespace}/v2/epc/picklists/{picklist_ID}/items` |


## Example Request

```nolang
PUT v2/epc/picklists/a3K3h0000006Aj3EAE/items

{
  "epcRequest": {
    "entity": {
      "Id": "{Picklist-Item-ID}",
      "vlocity_cmt__Description__c": "Description",
      "vlocity_cmt__IsActive__c": true,
      "vlocity_cmt__ActionType__c": "Add",
      "vlocity_cmt__MaxQuantity__c": 10,
      "vlocity_cmt__MinQuantity__c": 2,
      "vlocity_cmt__Quantity__c": 2,
      "vlocity_cmt__UpdateScope__c": "Update Item Only",
      "vlocity_cmt__ContextProductId__c": ""
    }
  }
}

```

## Example Result

```
{
    "epcResponse": {
        "entities": [
            {
                "entity": {
                    "attributes": {
                        "type": "vlocity_cmt__PicklistItem__c",
                        "url": "/services/data/v52.0/sobjects/vlocity_cmt__PicklistItem__c/a3J3h000000I4KKEA0"
                    },
                    "Id": "a3J3h000000I4KKEA0",
                    "IsDeleted": false,
                    "Name": "a3J3h000000I4KK",
                    "CurrencyIsoCode": "USD",
                    "CreatedDate": "2021-09-07T06:36:09.000+0000",
                    "CreatedById": "0053h000002UGCUAA4",
                    "LastModifiedDate": "2021-09-07T07:36:47.000+0000",
                    "LastModifiedById": "0053h000002UGCUAA4",
                    "SystemModstamp": "2021-09-07T07:36:47.000+0000",
                    "vlocity_cmt__PicklistId__c": "a3K3h0000006Aj3EAE",
                    "vlocity_cmt__ActionType__c": "Add",
                    "vlocity_cmt__Description__c": "Description",
                    "vlocity_cmt__IsActive__c": true,
                    "vlocity_cmt__IsUndoable__c": false,
                    "vlocity_cmt__MaxQuantity__c": 10.00,
                    "vlocity_cmt__MinQuantity__c": 2.00,
                    "vlocity_cmt__ProductHierarchyGlobalKeyPath__c": "20b3380d-5c42-f7db-4508-beff916feee1",
                    "vlocity_cmt__ProductHierarchyGroupKeyPath__c": "f4a0d9e2-d6cd-59f8-8c20-c14298a2f4f2",
                    "vlocity_cmt__ProductId__c": "01t3h000002TMciAAG",
                    "vlocity_cmt__Quantity__c": 2.00,
                    "vlocity_cmt__UpdateScope__c": "Update Item Only",
                    "vlocity_cmt__GlobalGroupKey__c": "94bc0ea2-1a16-50b4-9e52-6f2fa7f8c53b",
                    "vlocity_cmt__ProductId__r": {
                        "attributes": {
                            "type": "Product2",
                            "url": "/services/data/v52.0/sobjects/Product2/01t3h000002TMciAAG"
                        },
                        "Id": "01t3h000002TMciAAG",
                        "Name": "India V1.1",
                        "ProductCode": "India V1.1",
                        "vlocity_cmt__VersionLabel__c": "Version - V1.1"
                    },
                    "vlocity_cmt__PicklistId__r": {
                        "attributes": {
                            "type": "vlocity_cmt__Picklist__c",
                            "url": "/services/data/v52.0/sobjects/vlocity_cmt__Picklist__c/a3K3h0000006Aj3EAE"
                        },
                        "Id": "a3K3h0000006Aj3EAE",
                        "Name": "Picklist-Example",
                        "vlocity_cmt__PriceListId__c": "a343h000001ACXFAA4",
                        "vlocity_cmt__PriceListId__r": {
                            "attributes": {
                                "type": "vlocity_cmt__PriceList__c",
                                "url": "/services/data/v52.0/sobjects/vlocity_cmt__PriceList__c/a343h000001ACXFAA4"
                            },
                            "Id": "a343h000001ACXFAA4",
                            "Name": "ShamPriceList"
                        }
                    }
                }
            }
        ],
        "overallResult": "success"
    }
}
```
